Bug 1276671 - CTR should be enabled on attach tier, disabled otherwise.
CTR should be enabled on attach tier, disabled otherwise.
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
3.7.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Lambright
bugs@gluster.org
:
Depends On: 1274847 1276678
Blocks: 1276617
  Show dependency treegraph
 
Reported: 2015-10-30 08:45 EDT by Dan Lambright
Modified: 2017-03-08 05:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1274847
Environment:
Last Closed: 2017-03-08 05:54:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Lambright 2015-10-30 08:45:04 EDT
+++ This bug was initially created as a clone of Bug #1274847 +++

CTR is currently disabled by default, and must be manually enabled for tiering to start. This is an overhead on the administrator and easy to overlook. Enable it automatically when a tier is attached.

--- Additional comment from Vijay Bellur on 2015-10-23 12:12:36 EDT ---

REVIEW: http://review.gluster.org/12420 (cluster/tier enable CTR on attach tier) posted (#1) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-28 10:45:41 EDT ---

REVIEW: http://review.gluster.org/12420 (cluster/tier enable CTR on attach tier) posted (#2) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-29 15:42:23 EDT ---

REVIEW: http://review.gluster.org/12420 (cluster/tier enable CTR on attach tier) posted (#3) for review on master by Dan Lambright (dlambrig@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-30 08:21:47 EDT ---

COMMIT: http://review.gluster.org/12420 committed in master by Dan Lambright (dlambrig@redhat.com) 
------
commit e13733ab871f34c54a6fc44059b3343a5c2f992a
Author: Dan Lambright <dlambrig@redhat.com>
Date:   Fri Oct 23 12:10:42 2015 -0400

    cluster/tier enable CTR on attach tier
    
    CTR is currently disabled by default, and must be manually enabled
    for tiering to start. This is an overhead on the administrator and
    easy to overlook. Enable it automatically when a tier is attached.
    
    Change-Id: I0c29de8762faec1bfe6d1376a57eeef3357ad15a
    BUG: 1274847
    Signed-off-by: Dan Lambright <dlambrig@redhat.com>
    Reviewed-on: http://review.gluster.org/12420
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: mohammed rafi  kc <rkavunga@redhat.com>
Comment 1 Vijay Bellur 2015-10-30 08:49:20 EDT
REVIEW: http://review.gluster.org/12474 (cluster/tier enable CTR on attach tier) posted (#1) for review on release-3.7 by Dan Lambright (dlambrig@redhat.com)
Comment 2 Vijay Bellur 2015-10-30 23:20:48 EDT
COMMIT: http://review.gluster.org/12474 committed in release-3.7 by Dan Lambright (dlambrig@redhat.com) 
------
commit 264b2383f33105f827a6f9d99247b149896b4d05
Author: Dan Lambright <dlambrig@redhat.com>
Date:   Fri Oct 23 12:10:42 2015 -0400

    cluster/tier enable CTR on attach tier
    
    CTR is currently disabled by default, and must be manually enabled
    for tiering to start. This is an overhead on the administrator and
    easy to overlook. Enable it automatically when a tier is attached.
    
    This is a backport of 12420
    
    > Change-Id: I0c29de8762faec1bfe6d1376a57eeef3357ad15a
    > BUG: 1274847
    > Signed-off-by: Dan Lambright <dlambrig@redhat.com>
    > Reviewed-on: http://review.gluster.org/12420
    > Tested-by: Gluster Build System <jenkins@build.gluster.com>
    > Reviewed-by: mohammed rafi  kc <rkavunga@redhat.com>
    Signed-off-by: Dan Lambright <dlambrig@redhat.com>
    
    Change-Id: I43a32ac0c88b44d10aa0f40b18b0564ae1e17321
    BUG: 1276671
    Reviewed-on: http://review.gluster.org/12474
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>
    Tested-by: Dan Lambright <dlambrig@redhat.com>
Comment 3 Mike McCune 2016-03-28 18:28:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Kaushal 2017-03-08 05:54:34 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.